Package com.arms.api.product_service.pdservice_pure.controller

## Class PdServicePureController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<PdServicePure,​PdServicePureDTO,​PdServicePureEntity>
  - - com.arms.api.product_service.pdservice_pure.controller.PdServicePureController

-     @RestController
      @RequestMapping("/arms/pdServicePure")
      public class PdServicePureController
      extends TreeAbstractController<PdServicePure,​PdServicePureDTO,​PdServicePureEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServicePureController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `findAll()` |
    `org.springframework.http.ResponseEntity<?>` | `getPdServiceMonitor​(PdServicePureDTO pdServicePureDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getPdServiceWithDetail​(PdServicePureDTO pdServicePureDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `GetTestA()` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `PostTestA()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdServicePureController

          public PdServicePureController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getPdServiceMonitor

          @GetMapping("getPdServiceMonitor.do")
          public org.springframework.http.ResponseEntity<?> getPdServiceMonitor​(PdServicePureDTO pdServicePureDTO)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findAll

          @GetMapping
          public org.springframework.http.ResponseEntity<?> findAll()
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### GetTestA

          @GetMapping("/get-test-a")
          public org.springframework.http.ResponseEntity<java.lang.String> GetTestA()

    - #### PostTestA

          @PostMapping("/post-test-a")
          public org.springframework.http.ResponseEntity<java.lang.String> PostTestA()

    - #### getPdServiceWithDetail

          @GetMapping("getPdServiceWithDetail.do")
          public org.springframework.http.ResponseEntity<?> getPdServiceWithDetail​(PdServicePureDTO pdServicePureDTO)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`